<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" omit-xml-declaration="yes"/>

<xsl:template match="/vcard_user">
		<div class="vcard_contact">
			<table border="0" cellpadding="1" cellspacing="0" class="vcard_contact">
				<tr>
					<td><xsl:value-of select="lang1" /></td>
					<td> .: 
						<xsl:choose>
							<xsl:when test="div/@fn">
								<input id="im_fn" type="text" size="40" maxlength="40" value="{div/@fn}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>								
							<xsl:otherwise>
								<input id="im_fn" type="text" size="40" maxlength="40" value="{div/@FN}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>							
							</xsl:otherwise>
						</xsl:choose>					
					</td>
				</tr>
				<tr>
					<td><xsl:value-of select="lang2" /></td>
					<td> .: 
						<xsl:choose>
							<xsl:when test="div/@nickname">
								<input id="im_nickname" type="text" size="20" maxlength="20" value="{div/@nickname}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>
							<xsl:otherwise>			
								<input id="im_nickname" type="text" size="20" maxlength="20" value="{div/@NICKNAME}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>							
							</xsl:otherwise>
						</xsl:choose>
					</td>						
				</tr>
				<tr>
					<td><xsl:value-of select="lang3" /></td>
					<td> .: 
						<xsl:choose>	
							<xsl:when test="div/@orgname">
								<input id="im_orgname" type="text" size="17" maxlength="17" value="{div/@orgname}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>
							<xsl:otherwise>
								<input id="im_orgname" type="text" size="17" maxlength="17" value="{div/@ORGNAME}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td><xsl:value-of select="lang4" /></td>
					<td> .: 
						<xsl:choose>
							<xsl:when test="div/@org">
								<input id="im_orgunit" type="text" size="10" maxlength="10" value="{div/@org}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>
							<xsl:otherwise>
								<input id="im_orgunit" type="text" size="10" maxlength="10" value="{div/@ORG}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>						
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td><xsl:value-of select="lang5" /></td>
					<td> .: 
						<xsl:choose>
							<xsl:when test="div/@role">
								<input id="im_role" type="text" size="25" maxlength="25" value="{div/@role}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>
							<xsl:otherwise>
								<input id="im_role" type="text" size="25" maxlength="25" value="{div/@ROLE}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>							
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td><xsl:value-of select="lang6" /></td>
					<td> .: 
						<xsl:choose>
							<xsl:when test="div/@bday">	
								<input id="im_bday" type="text" size="10" maxlength="10" value="{div/@bday}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>
							</xsl:when>
							<xsl:otherwise>
								<input id="im_bday" type="text" size="10" maxlength="10" value="{div/@BDAY}" onclick="javascript:im.focus_select(this,event);" onmousedown="javascript:im.focus_select(this,event);"/>							
							</xsl:otherwise>								
						</xsl:choose>							
					</td>
				</tr>
			</table>
			<div style="margin:10px 0px">
				<input type="button" value="{lang7}" onclick="javascript:im.save_vcard();"/>
				<input type="button" value="{lang8}" onclick="javascript:im_window.window_close('{id}');"/>
			</div>
		</div>
</xsl:template>

</xsl:stylesheet>